Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Class ORMFileJDORMappingFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              kodo.jdo.JDOMetaDataFactory
                  kodo.jdo.jdbc.ORMFileJDORMappingFactory

All Implemented Interfaces:
  ApplicationIdTool.ObjectIdLoader, Configurable, MetaDataFactory, MetaDataModes

    public class ORMFileJDORMappingFactory

extends JDOMetaDataFactory
implements Configurable

Plugin to load and store JDO mapping data in `.orm` files. This should be combined with a standard `MetaDataFactory` in a `MetaDataPlusMappingFactory`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`AbstractCFMetaDataFactory.Parser, AbstractCFMetaDataFactory.Serializer`

Field Summary

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`ORMFileJDORMappingFactory()`

Method Summary
`void` | `addClassExtensionKeys(Collection exts)`
`void` | `addFieldExtensionKeys(Collection exts)`
`void` | `endConfiguration()`
`boolean` | `getConstraintNames()` Whether to write out constraint names in generated mapping data.
`MetaDataDefaults` | `getDefaults()`
`String` | `getMapping()` The mapping suffix supplied by the user.
`protected String` | `getMetaDataSuffix()` Metadata file suffix.
`protected File` | `getSourceFile(ClassMetaData meta)`
`protected File` | `getSourceFile(SequenceMetaData meta)`
`protected boolean` | `isMappingOnlyFactory()`
`void` | `load(Class cls, int mode, ClassLoader envLoader)`
`protected AbstractCFMetaDataFactory.Parser` | `newParser(boolean loading)`
`protected AbstractCFMetaDataFactory.Serializer` | `newSerializer()`
`protected void` | `parse(MetaDataParser parser, Class[] cls)`
`void` | `setConfiguration(Configuration conf)`
`void` | `setConstraintNames(boolean cnames)` Whether to write out constraint names in generated mapping data.
`void` | `setMapping(String mapping)` The mapping suffix supplied by the user.
`protected void` | `setSourceFile(ClassMetaData meta, File file)`
`protected void` | `setSourceFile(SequenceMetaData meta, File file)`
`void` | `startConfiguration()`

Methods inherited from class kodo.jdo.JDOMetaDataFactory
`clear, defaultSourceFile, defaultSourceFile, defaultSourceFile, getParser, isDeclaredInterfacePersistent, isParseTopDown, isScanTopDown, newClassArgParser, newMetaDataFilter, setDeclaredInterfacePersistent, setLoadObjectIds, setParser, setScanTopDown, setUseSchemaValidation, useSchemaValidation`

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, clearMapping, drop, getDefiningMetaData, getPersistentTypeNames, mapPersistentTypeNames, parse, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setURLs, setURLs, store`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`getQueryScope, getResultSetMappingScope, setRepository, setStoreDirectory, setStoreMode, setStrict, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORMFileJDORMappingFactory

    public ORMFileJDORMappingFactory()

Method Detail

### getConstraintNames

    public boolean getConstraintNames()

  Whether to write out constraint names in generated mapping data. Defaults to false.

### setConstraintNames

    public void setConstraintNames(boolean cnames)

  Whether to write out constraint names in generated mapping data. Defaults to false.

### getMapping

    public String getMapping()

  The mapping suffix supplied by the user. Defaults to value of configuration property.

### setMapping

    public void setMapping(String mapping)

  The mapping suffix supplied by the user. Defaults to value of configuration property.

### load

    public void load(Class cls,
                     int mode,
                     ClassLoader envLoader)

  Specified by:
    `load` in interface `MetaDataFactory`
  Overrides:
    `load` in class `JDOMetaDataFactory`

### getDefaults

    public MetaDataDefaults getDefaults()

  Specified by:
    `getDefaults` in interface `MetaDataFactory`
  Overrides:
    `getDefaults` in class `JDOMetaDataFactory`

### addClassExtensionKeys

    public void addClassExtensionKeys(Collection exts)

  Specified by:
    `addClassExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addClassExtensionKeys` in class `JDOMetaDataFactory`

### addFieldExtensionKeys

    public void addFieldExtensionKeys(Collection exts)

  Specified by:
    `addFieldExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addFieldExtensionKeys` in class `JDOMetaDataFactory`

### newParser

    protected AbstractCFMetaDataFactory.Parser newParser(boolean loading)

  Overrides:
    `newParser` in class `JDOMetaDataFactory`

### newSerializer

    protected AbstractCFMetaDataFactory.Serializer newSerializer()

  Overrides:
    `newSerializer` in class `JDOMetaDataFactory`

### getMetaDataSuffix

    protected String getMetaDataSuffix()

  Description copied from class: `JDOMetaDataFactory`
  Metadata file suffix.

  Overrides:
    `getMetaDataSuffix` in class `JDOMetaDataFactory`

### isMappingOnlyFactory

    protected boolean isMappingOnlyFactory()

  Overrides:
    `isMappingOnlyFactory` in class `AbstractCFMetaDataFactory`

### parse

    protected void parse(MetaDataParser parser,
                         Class[] cls)

  Overrides:
    `parse` in class `AbstractCFMetaDataFactory`

### getSourceFile

    protected File getSourceFile(ClassMetaData meta)

  Overrides:
    `getSourceFile` in class `AbstractCFMetaDataFactory`

### setSourceFile

    protected void setSourceFile(ClassMetaData meta,
                                 File file)

  Overrides:
    `setSourceFile` in class `AbstractCFMetaDataFactory`

### getSourceFile

    protected File getSourceFile(SequenceMetaData meta)

  Overrides:
    `getSourceFile` in class `AbstractCFMetaDataFactory`

### setSourceFile

    protected void setSourceFile(SequenceMetaData meta,
                                 File file)

  Overrides:
    `setSourceFile` in class `AbstractCFMetaDataFactory`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.